function m = setbowlz(m,z)
%M = SETBOWLZ(M,Z)  Apply bowl-shaped z-displacement of the mesh.
    if z==0, return; end
    newz = ...
        (m.nodes(:,1).*m.nodes(:,1) ...
         + m.nodes(:,2).*m.nodes(:,2));
    newz = scalevec( newz, -z/2, z/2 );
    m = addToZ( m, newz );
    m.initialbendangle = m.currentbendangle;
end
